Delete agent
curl --request DELETE \
--url https://api.callrounded.com/v1/agents/{agent_id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.callrounded.com/v1/agents/{agent_id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.callrounded.com/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Agent deleted successfully",
"error": {
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
},
"status": 200
}agents
Delete agent
Delete an existing agent by its ID. This action is irreversible and will permanently remove the agent and all its configurations. The response includes headers about rate limiting.
DELETE
/
v1
/
agents
/
{agent_id}
Delete agent
Authorizations
The API Key created in Rounded Studio.
- You can create it by going to the "API Keys" settings of your profile.
- Need help? You can email us at team@callrounded.com or join our Discord community.
Path Parameters
The ID of the agent to delete.
Response
Successfully deleted agent
Response message indicating the result of the operation.
Show child attributes
Show child attributes
Example:
{
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
}
HTTP status code of the response.